import { request } from '@umijs/max';
import config from '../config';

/**
 * 任务列表
 * @param data
 * @param options
 * @returns
 */
export async function getTaskMemberListApi(
  data: TASKAPI.TaskMemberList,
  options?: { [key: string]: any },
) {
  return request<API.Result>(config.API_BASE_URL + '/api/task/member/list', {
    method: 'POST',
    data,
    ...(options || {}),
  });
}

/**
 * 提交素材
 * @param data
 * @param options
 * @returns
 */
export async function addMaterialApi(data: TASKAPI.AddMaterial, options?: { [key: string]: any }) {
  return request<API.Result>(config.API_BASE_URL + '/api/material/add', {
    method: 'POST',
    data,
    ...(options || {}),
  });
}
